FAVO-430デバイスドライバについて

【注意】
超漢字Vでは、標準状態でFAVO-430への対応が行われているようです。(ただし、絶対動作はしないようですが…。) したがって、同環境ではこのドライバは導入しないでください。(2006-12-28)

概要

Wacom FAVO-430/440, BizTabletを超漢字4上で動かすためのデバイスドライバです。

動作環境
超漢字4 (超漢字Vでの導入は上記の理由により避けてください)
ライセンス
GNU GPLです。著作権はぱりおさんささのさん・私(矢代)に属します。
ダウンロード(バイナリ)
バイナリ(installer.bz) 44KB
ダウンロード(ソース)
ソースファイル(favo430.tar.gz) 20KB

登録方法

バイナリ(installer.bz)を、システム環境設定のバージョンタブにDrag&Dropしてください。

注意

現行のプログラムにはバグがあり、デバイスドライバの起動時にペンまたはマウスがタブレット上に載っていると、デバイスドライバが正しく動作しません。なお、このバグについては、次回のリリースで直そう…と思っていたのですが、超漢字VでFAVO-430がサポートされたようなので、不要そうですね。(ネイティブ環境でも本ドライバ無しで正しく動作することを確認済みです。)

また、このドライバは、十分にデバイスドライバ周りの知識を持ち合わせていない矢代武嗣が、ぱりおさんのソースコードをいじって作ったものです。ドライバのバグにより、場合によってはOSが起動しなくなるおそれもありますので、*必ず*バックアップをとった上で、自己責任でご使用ください。

できれば、いえじぇさん「超漢字4緊急起動ディスクを作る」の記事に従って緊急用のディスクを作っておくと、安心して作業できると思います。ぜひ作っておきましょう。

謝辞

Type Uタッチパネルドライバを開発され、GNU GPLのライセンスのもと公開くださったぱりおさんに感謝いたします。このドライバのソースは上記のドライバのソースを改造して作らせていただいたものです。

また、作成にあたってぶつかった困難に対して、的確なアドバイスをくださったささのさん田崎さんに感謝いたします。特にささのさんには、実際のコードでどのようにすればよいか示していただき、暗中模索状態から抜け出す道しるべとしてとても助けになりました。

Ver 0.3でのFAVO-440への対応および震え対策は、仁坂さんによるものです。素晴らしいパッチを頂きありがとうございました。

更新履歴


[ 戻る ]

Yashiro Takeshi <yashiromann@nifty.com>
Last modified: Sun Oct 3 16:40:35 2010
Valid XHTML 1.0!